# Package org.apache.ignite.internal.processors.cache.persistence.wal.crc

Class Summary
FastCrc: This CRC calculation implementation workf much faster then `PureJavaCrc32`
PureJavaCrc32: Deprecated Use `FastCrc` instead.

Exception Summary
IgniteDataIntegrityViolationException: Will be thrown if data integrity violation is found

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020